using System;
using System.Collections.Generic;

namespace NasaMalaFirma
{
    public abstract class Radnik
    {
        public decimal Plata { get; set; }
    }


    public class SefSmene : Radnik
    {
        public event EventHandler gotovPosao;

        public List<Limar> Limari { get; set; }
    
        public void DajPosaoLimaru(Limar radnik, Masina masina) { }
    }
	

    public class Limar: Radnik
    {
        public Masina RadiNa { get; set; }
        public SefSmene SefSmene { get; set; }

        public void OdradiPosao(Masina masina) { }
    }


    public abstract class Masina
    {
        public virtual void Rad() { }
    }

    public class Presa : Masina
    {
        public override void Rad() { }
    }

    public class Sekac : Masina
    {
        public override void Rad() { }
    }
}